VOS_RENAME(1)

NAME
vos rename - Renames a volume

SYNOPSIS
vos rename -oldname <old volume name>
    -newname <new volume name> [-cell <cell name>]
    [-noauth] [-localauth] [-verbose] [-help]

vos ren -o <old volume name> -ne <new volume name>
    [-c <cell name>] [-no] [-l] [-v] [-h]

DESCRIPTION
The vos rename command changes the name of the read/write volume specified with the -oldname argument to the name specified with the -newname argument. The names of the read/write's read-only copies and backup copy, if any, change automatically to match.

After issuing this command, remember to correct any mount points that refer to the old volume name, by removing the old mount point with the fs rmmount command and creating a new one with the fs mkmount command.

OPTIONS
Is the current name of the read/write volume. Is the desired new name for the volume. Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the vos(1) manpage. Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the vos(1) manpage. Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the vos(1) manpage. Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear. Prints the online help for this command. All other valid options are ignored.

OUTPUT
The vos rename command produces no output if the command succeeds.

If the volume named by the -oldname argument does not exist, the following message appears:

   vos: Could not find entry for volume <old volume name>.

EXAMPLES
The following example changes the mistaken volume name sun4x_56.afsws to the correct alternative sun4x_56.usr.afsws.

   % vos rename -oldname sun4x_56.afsws -newname sun4x_56.usr.afsws

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

SEE ALSO
the vos(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.